Skip to main content

Capture


Use this information to process a capture.

When processing through China UnionPay, use the capture service to complete a pre-authorization.

When a transaction is below the threshold for First Ride Risk protection, use the capture service to capture funds from a declined authorization. For more information, see First Ride Risk.

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{   "clientReferenceInformation": {        "comments": "TransitDA BAU capture",        "transactionId": "14987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },   "orderInformation": {    "amountDetails": {      "totalAmount": "10.00",      "currency": "EUR"    }  }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/6484688186356910704004/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/6484688186356910704004"        }    },    "clientReferenceInformation": {        "comments": "capture",        "code": "testcode1012",        "transactionId": "14987654321"    },    "id": "6484688186356910704004",    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "EUR"        }    },    "reconciliationId": "fgssgsgsgsfg",    "status": "PENDING",    "submitTimeUtc": "2022-03-28T12:00:18Z"}
{   "clientReferenceInformation": {        "code": "TCCUP1"    },   "orderInformation": {    "amountDetails": {      "totalAmount": "5",      "currency": "THB"    }  }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/7012404694986081603137/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/7012404694986081603137"        }    },    "clientReferenceInformation": {        "code": "TCCUP1"    },    "id": "7012404694986081603137",    "orderInformation": {        "amountDetails": {            "totalAmount": "5.00",            "currency": "THB"        }    },    "reconciliationId": "333306641171",    "status": "PENDING",    "submitTimeUtc": "2023-11-9T06:47:50Z"}

Required Fields

Default Required Fields

clientReferenceInformation.code Required

This field applies to China UnionPay only.

clientReferenceInformation.comments Required

This field applies to only.

clientReferenceInformation.partner.thirdPartyCertificationNumber Required

This field applies to only. provides the value for this field.

clientReferenceInformation.transactionId Required

This field applies to only.

orderInformation.amountDetails.currency Required
orderInformation.amountDetails.totalAmount Required

Last published: September 29, 2026